Bug 1176758 - Release mozprocess 0.23 and mozrunner 6.12. r=ahal, a=test-only
authorHenrik Skupin <mail@hskupin.info>
Thu, 30 Jun 2016 16:45:21 +0200
changeset 339909 1434137a26bf9aed6f3f3782646240e9e06ebc47
parent 339908 b9783a14811df799b1d5162ff9fbb1c9f4413a7e
child 339910 481052283b4fc250ccac55fa0e96315eef80783d
push id6249
push userjlund@mozilla.com
push dateMon, 01 Aug 2016 13:59:36 +0000
treeherdermozilla-beta@bad9d4f5bf7e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersahal, test-only
bugs1176758
milestone49.0a2
Bug 1176758 - Release mozprocess 0.23 and mozrunner 6.12. r=ahal, a=test-only MozReview-Commit-ID: JeQhPhZHbUX
testing/mozbase/mozprocess/setup.py
testing/mozbase/mozrunner/setup.py
--- a/testing/mozbase/mozprocess/setup.py
+++ b/testing/mozbase/mozprocess/setup.py
@@ -1,15 +1,15 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
 from setuptools import setup
 
-PACKAGE_VERSION = '0.22'
+PACKAGE_VERSION = '0.23'
 
 setup(name='mozprocess',
       version=PACKAGE_VERSION,
       description="Mozilla-authored process handling",
       long_description='see http://mozbase.readthedocs.org/',
       classifiers=['Environment :: Console',
                    'Intended Audience :: Developers',
                    'License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)',
--- a/testing/mozbase/mozrunner/setup.py
+++ b/testing/mozbase/mozrunner/setup.py
@@ -1,25 +1,25 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
 import sys
 from setuptools import setup, find_packages
 
 PACKAGE_NAME = 'mozrunner'
-PACKAGE_VERSION = '6.11'
+PACKAGE_VERSION = '6.12'
 
 desc = """Reliable start/stop/configuration of Mozilla Applications (Firefox, Thunderbird, etc.)"""
 
 deps = ['mozdevice >= 0.37',
         'mozfile >= 1.0',
         'mozinfo >= 0.7',
         'mozlog >= 3.0',
-        'mozprocess >= 0.22',
+        'mozprocess >= 0.23',
         'mozprofile >= 0.18',
         ]
 
 EXTRAS_REQUIRE = {'crash': ['mozcrash >= 0.14']}
 
 # we only support python 2 right now
 assert sys.version_info[0] == 2